petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCReset

Resets a PC context to the pcsetupcalled = 0 state and removes any allocated Vecs and Mats

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCReset(PC pc)

Collective on PC Many br

### Input Parameter

pc -the preconditioner context Many br

Many br

Notes: This allows a PC to be reused for a different sized linear system but using the same options that have been previously set in the PC Many br

### Keywords

PC, destroy

### See Also

PCCreate(), PCSetUp()

Level:developer
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages